<div id="payment">
  <div class="row mt-4">
    <div class="col-md-6 offset-md-3">
      <button class="btn btn-primary btn-lg btn-block" *ngIf="getTotalPrice() > 0" (click)="pay()">Payer {{getTotalPrice() | currency:'EUR':'symbol-narrow':'1.2-2'}} par Carte Bancaire</button>
      <button class="btn btn-primary btn-lg btn-block" *ngIf="getTotalPrice() == 0" (click)="pay()">Valider la commande gratuite</button>
      <div class="text-muted text-center m-3">
        <p *ngIf="getTotalPrice() > 0">Vous allez être redirigé sur la plateforme de paiement de la banque BNP Paribas pour procéder au règlement de
        {{getTotalPrice() | currency:'EUR':'symbol-narrow':'1.2-2'}}. Le paiement se passe sur une page sécurisée à
        l'aide du protocole SSL.</p>
        <p>En procédant au paiement, vous acceptez sans réserves les <a [href]="cgvUrl" target="_blank">conditions générales de vente</a></p>
      </div>
    </div>
  </div>
  <div class="mt-3">
    <div class="row">
      <div class="col-md-3">
        <app-go-back-button [order]="order"></app-go-back-button>
      </div>
      <div class="col-md-4 offset-md-1">
        <app-cancel-order-button [order]="order"></app-cancel-order-button>
      </div>
    </div>
  </div>
</div>
